Skip to main content

Get webhook

Method GET

https://my.easyweek.io/api/public/v2/webhooks/{webhook_id}

Description: This endpoint retrieves a single webhook by its numeric id. A webhook that does not belong to the workspace returns 404.

Example Request

curl -i -X GET \
https://my.easyweek.io/api/public/v2/webhooks/{webhook_id} \
-H 'Authorization: Bearer <YOUR_SECRET>' \
-H 'Workspace: <YOUR_WORKSPACE>'

Path Parameters

  • webhook_id (integer, required): The numeric identifier of the webhook to retrieve.

Example Response

{
"id": 12,
"url": "https://example.com/hooks/easyweek",
"method": "post",
"description": "My webhook",
"success_statuses": "200, 201",
"status": "enabled",
"send_notification": false,
"emails": "",
"events": ["booking-created", "booking-canceled"],
"parameters": [],
"headers": [],
"tries": 3,
"timeout": 10
}